html, body {
  margin: 0;
  padding: 0;
  height: 100%; 
  background-color: var(--bg-color);
  font-family: 'Amaranth';
  color:#6a0628;
}

h2 {
  font-size: clamp(0.4rem, 3vw, 2rem);
}

@media (max-width: 800px)
{
  h2 {
    font-size: 1.5rem;
  }
  .first-page-bottom button {
    padding: 40px 40px;
  }

  .first-page-bottom img {
    width: 500px;
    height: auto;
  }

  
}

* {
  margin-top: 0; 
}

@font-face {
  font-family: 'CAC Champagne';
  src: url('CAC-Champagne.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Amaranth';
  src: url('Amaranth-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Folks';
  src: url('Folks-Bold.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

:root {
  --bg-color: #f8e5b3; 
}

.books-page {
  padding-top: 1px; /* prevents collapse */
}

.events-page {
  padding-top: 1px;
}

.reviews-page {
  padding-top: 1px;
}

/* Colors for the About Page only */
body.books-page {
  --bg-color: #ffcf88; 
}

body.events-page {
  --bg-color: #ffcf88; 
}

body.reviews-page {
  --bg-color: #ffcf88;
}

.top-textbox img {
  height: clamp(40px, 8vw, 55px);
  width: auto;
  align-items: center;
}

.events-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
  font-size: clamp(1.2rem, 2rem, 3rem);
  padding: 0px clamp(30px, 10vw, 200px);
}

.events-section img {
  width: clamp(100px, 25vw, 350px);
  height: auto;
  display: block;
}

.top-textbox .text-block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
  background-color: transparent !important;
  margin-top: clamp(0.4rem, 4vw, 1.9rem);
  
}

.top-textbox .text-block h1 {
  font-size: clamp(1.4rem, 3vw, 1.8rem);
  font-family: 'CAC Champagne', cursive;
  margin: 0;

}

.top-textbox .text-block p {
  font-size: clamp(0.6rem, 2vw, 1rem);
  margin: 2px 0 0 0;
  font-size: 16px;
  
}

@media (max-width: 768px) {
  .page-content {
    padding-top: 80px;
  }
  .first-page-bottom img {
    width: 300px;
    height: auto;
  }

}
@media (max-width: 800px)
{
  .text-block img {
    width: 450px;
    height: auto;
  }
}



@media (max-width: 600px)
{
  .text-block img {
    width: 400px;
    height: auto;
  }
}




@media (max-width: 768px) {
  .page-content {
    padding-top: 50px;
  }
  .page-content-index {
    padding-top: 80px;
  }
}

.top-textbox .logo img {
  height: clamp(30px, 7vw, 70px);
  width: auto;
}

.logo img {
  margin-right: clamp(3px, 1vw, 10px);
}

.hamburger {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 22px;        
    height: 18px;        
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 1100;
    margin-left: 30px;
    margin-top: -30px;    
}

.hamburger .bar {
    width: 100%;
    height: 3px;         
    background-color: #6a0628;
    border-radius: 10px;
    transition: all 0.3s linear;
}

.nav-links {
    list-style: none;
    background-color: #6a0628;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 80%;
    max-width: 300px;
    padding-top: calc(1vh + 4vw + 20px);
    padding-left: 50px;
    padding-right: 50px;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    box-shadow: -2px 0 10px rgba(0,0,0,0.1);
    z-index: 1050;
}
.nav-links li {
    margin-bottom: 20px;
    
}

.nav-links a {
    color: #f8e5b3; /* Link color */
    text-decoration: none;
    font-size: 1.2rem;
    display: block;
    padding: 10px 20px;
    transition: color 0.3s, background-color 0.3s;
    font-family: 'Folks';
}


.nav-links.active {
    transform: translateX(0); /* slide in when active */
}

hr.yellow {
  background-color: #bd2b46;
  width: 50vw;
  height: 3px;
  border: none;
  margin-top: clamp(20px, 3vw, 40px);
  margin-bottom: clamp(20px, 3vw, 40px);
}

hr.orange {
  background-color: #bd2b46;
  width: 50vw;
  height: 3px;
  border: none;
  margin: 0 auto;
}

.orange-page {
  background-color:#ffcf88;
}

.nav-links a:hover {
    color: #ffcf88;
    /*background-color: maroon; */
    /*padding: 5px 0px;*/
}

.hamburger.active .bar:nth-child(1) {
    transform: translateY(6px) rotate(45deg); 
}
.hamburger.active .bar:nth-child(2) {
    opacity: 0;
}
.hamburger.active .bar:nth-child(3) {
    transform: translateY(-6px) rotate(-45deg); 
}

.options {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  text-align: center;
  gap: clamp(50px, 200px, 400px);
  padding: 0px 20%;
}

.instagram button {
  display: inline-flex;
  align-items: center;    
  justify-content: center; 
  height: clamp(40px, 5vw, 60px);
  width: 10%;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  margin-bottom: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color:#f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-size: 1rem;
  font-family: 'Folks';
}

.instagram img {
  max-width: 100px;
  margin-bottom: clamp(20px, 3vw, 50px);
}

.purchase-more img {
  max-height: 450px; 
  width: auto;
  margin-bottom: clamp(20px, 4vw, 50px);
  margin-top: clamp(10px, 3vw, 45px);
  display: block;
}

.author-more img {
  max-height: 450px; 
  width: auto;
  margin-bottom: clamp(20px, 4vw, 50px);
  margin-top: clamp(10px, 3vw, 45px);
  display: block;

}

.purchase-more .author-more {
  align-items: center;
  justify-content: center;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center; 
  flex: 1;
}

@media (max-width: 900px)
{
  .options {
    flex-direction: column;
    align-items: center;
    gap: clamp(20px, 10vw, 100px);
  }
}

.purchase-more button {
    display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: 80%;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-family: 'Folks';
}

.author-more button {
  display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: 90%;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-family: 'Folks';
}

.first-page-bottom {
  margin-top: clamp(10px, 5vw, 90px);
  background-color: #ffcf88;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
  padding: 50px 20px;
  font-size: clamp(20px, 1.3vw, 40px);
}

.books-page-bottom {
  background-color: #ffcf88;
  display: flex;
  align-items: center;
  text-align: left;
  font-style: italic;
  justify-content: center;
  padding: 10px 15%;
  padding-bottom: clamp(10px, 3vw, 40px);
  font-size: clamp(10px, 1vw, 20px);
}

.books-page-bottom img {
  width: clamp(100px, 20vw, 500px);
}

.instagram {
  padding-top: clamp(10px, 5vw, 90px);
  /*background-color: #ffcf88;*/
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
  padding: 50px 20px;
  font-size: clamp(20px, 1.3vw, 40px);
  padding-top: clamp(20px, 3vw, 40px);

}

.first-page-bottom img {
  display: block;
  max-width: 500px;
  border-style: ridge;
  border-width: 10px;
  border-color:#bd2b46;
}

.first-page-bottom button {
  display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: 10%;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  margin-bottom: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-size: 1rem;
  font-family: 'Folks';
}



.book-intro {
  display: flex;
  align-items: center; 
  justify-content: center; 
  text-align: right;
  gap: 80px;              
  padding: 70px 20%;
  background-color: #f8e5b3;
  line-height: 2;
}

.author-intro {
  display: flex;
  align-items: center; 
  justify-content: center; 
  text-align: right;
  gap: 80px;              
  padding: 70px 20%;
  /*background-color:#ffcf88;*/
  line-height: 2;
  padding-bottom: clamp(20px, 3vw, 40px);
}

@media (max-width: 1200px)
{
  .author-intro {
    padding: 70px 10%;
  }

  .books-page-intro {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .book-bio {
    text-align: center;
  }


}

.book-image img {
  max-width: 400px;      
  width: 100%;            
  height: auto;
  box-shadow: 10px 10px 20px rgba(0,0,0,0.2); /*makes book pop */
}

.author-image img {
  max-width: 400px;      
  width: 100%;            
  height: auto;
  box-shadow: 10px 10px 20px rgba(0,0,0,0.2); /*makes book pop */
}

.Giridharan-title {
  display: flex;
  margin-top: clamp(20px, 3vw, 50px);
  width: 100%;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.front-text {
  flex: 1;        
  max-width: 1000px;
  font-size: clamp(0.5rem, 2vw, 20px);
}

.red-button {
  width: 100%;
  display: flex;
  margin-top: -10px;
  padding-bottom: clamp(20px, 4vw, 50px);
  align-items: center;
  justify-content: center;
  background-color:#f8e5b3;
  font-family: 'Folks';
}

.red-button-orange {
  width: 100%;
  display: flex;
  margin-top: -10px;
  padding-bottom: clamp(20px, 4vw, 50px);
  align-items: center;
  justify-content: center;
  background-color:#ffcf88;
  font-family: 'Folks';
}

.red-button-orange button {
  display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: auto;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-family: 'Folks';
}

.purchase-button-set {
  display: flex;
  padding: 0px 15%;
}

@media (max-width: 1500px) {
  .purchase-button-set {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    gap: 20px; 
    width: 90%;          
    max-width: 800px;    
    margin: 0 auto;      
    padding: 20px 0;
  }

  .purchase-button-set .red-button-orange,
  .purchase-button-set .red-button-orange a,
  .purchase-button-set .red-button-orange button {
    width: 100%;
    margin: 0;
  }
}

.red-button button {
  display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: auto;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-family: 'Folks';
}

.about-text {
  flex: 1;        
  max-width: 1000px;
  font-size: clamp(0.5rem, 1.5vw, 20px);
  text-align: left;
}

.book-bio {
  flex: 1;        
  max-width: 1000px;
  font-size: clamp(1.2rem, 2vw, 3rem);
}

.books-page-intro {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  padding: 70px 17%;
}

.books-page-intro img {
  width: clamp(200px, 50vw, 450px);
  border-style: double;
  border-width: 14px;
  border-color:#bd2b46;
}

.front-text h1 {
  margin: 15px 0;
  font-family: 'CAC Champagne', cursive;
  font-size: clamp(1rem, 11vw, 5rem);
  color:#bd2b46;
}

.Giridharan-title h1 {
  margin: 15px 0;
  font-family: 'CAC Champagne', cursive;
  font-size: clamp(1rem, 11vw, 5rem);
  color:#bd2b46;
}


.image-carousel2 {
  height: 60%;
  width: 60%;
  margin: 30px auto;
  overflow: hidden;
  position: relative;
  padding-bottom: 4.25%;
  border-width: clamp(2px, 1vw, 6px);
  border-color:#bd2b46;
  border-style: outset;
}

.carousel-track2 {
  display: flex;
  width: auto;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  align-items: center;
  animation: slideImages 40s infinite;

}

.carousel-track2 img {
  width: 100%;
  height: 100%;
  flex-shrink: 0;
  object-fit: cover;

}

@keyframes slideImages {
  0%, 2% {
    transform: translateX(0%);
  }
  12%, 14% {
    transform: translateX(-100%);
  }
  24%, 26% {
    transform: translateX(-200%);
  }
  36%, 48% {
    transform: translateX(-300%);
  }
  48%, 50% {
    transform: translateX(-400%);
  }
  60%, 61% {
    transform: translateX(-500%);
  }
  72%, 75% {
    transform: translateX(-600%);
  }
  85%, 100% {
    transform: translateX(0%);
  }
}


@media (max-width: 768px) {
  .front-text h1 
  {
    line-height: 1;
  }
  .image-carousel2 {
    width: 70%; 
    padding-bottom: 43.33%;
    height: 10%;
  }

  .front-text {
    font-size: 3vw;
  }

  .purchase-button-set {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .books-page-intro {
    padding-bottom: 0px;
  }
}


@media (max-width: 1080px)
{
  .front-text h1 {
    line-height: 1;
  }

  

  .books-page-bottom {
    flex-direction: column;
    text-align: center;
    font-size: 15px;
  }

  .books-page-bottom img {
    width: 70%;
  }



  .author-intro {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 0px;
  }

  .about-text {
    font-size: 20px;
  }
  .events-section img {
    width: 400px;
  }
}

@media (min-width: 1200px)
{
  .front-text {
    font-size: 1.2vw;
  }
  .front-text h1 {
    line-height: 1;
  }

  .book-bio {
    text-align: right;

  }
}

.authors-note {
  font-size: clamp(1rem, 1.2vw, 1.5rem);
  padding: 70px 20%;
  text-align: center;
  line-height: 1.5;
  padding-bottom: 0px;
}

.illustrations-note {
  font-size: clamp(1rem, 1.2vw, 1.5rem);
  padding: 10px 20%;
  text-align: center;
  line-height: 1.5;
  padding-bottom: 0px;
}

.illustrations-note h2 {
  text-align: center;
  padding: 30px 20%;
  color:#bd2b46;
  margin-bottom: 0px;
}

.reviews-note {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: clamp(20px, 3vw, 30px);
  padding: clamp(10px, 2vw, 40px) 20%;
}

.reviews-note img {
  width: 300px;
  height: auto;
}

.review-section img {
  width: 15%;
  height: auto;
}

.review-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #f8e5b3;
}

.first-row {
  width: 70%;
  height: 400px;
  display: flex;
  gap: 5%;
  align-items: center;
  justify-content: center;
  margin-bottom: 5%;
}

.first-row img {
  width: auto;
  height: 100%;
  display: block;
  object-fit: cover;
}

.second-row {
  width: 70%;
  height: 100px;
  display: flex;
  gap: 5%;
  align-items: center;
  justify-content: center;
  margin-bottom: 5%;
}

.second-row img {
  width: auto;
  height: 100%;
  display: block;
  object-fit: cover;
}

.third-row {
  width: 70%;
  height: 100px;
  display: flex;
  gap: 5%;
  align-items: center;
  justify-content: center;
  margin-bottom: 5%;
}

.third-row img {
  width: auto;
  height: 100%;
  display: block;
  object-fit: cover;
}

@media (max-width: 1080px) 
{
  .first-row, .second-row, .third-row {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: auto;
    gap: 20px;
  }

  .first-row img,
  .second-row img,
  .third-row img {
    width: 70%; 
    height: auto; 
  }

}

.contact-container {
    width: 90%;
    max-width: 800px;
    margin: 50px auto;
    margin-top: 0px;
    padding: 20px;
}

.custom-form .form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
}

.custom-form label {
    font-family: 'Amaranth', sans-serif;
    color: #6a0628;
    margin-bottom: 8px;
    font-weight: bold;
}

/* Style the actual text boxes */
.custom-form input, 
.custom-form textarea {
    padding: 12px;
    border: 2px solid #bd2b46; 
    border-radius: 5px;
    background-color: #fff9eb; 
    font-family: 'Amaranth', sans-serif;
    font-size: 1rem;
    color: #6a0628;
}

.custom-form input:focus, 
.custom-form textarea:focus {
    outline: none;
    border-color: #6a0628;
    box-shadow: 0 0 5px rgba(106, 6, 40, 0.2);
}

.contact-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.contact-top img {
  width: 25%;
  height: auto;
  transform: rotate(-1deg);
}

.authors-note h2 {
  color:#bd2b46;
}

.front-text button {
  display: inline-flex;
  align-items: center;    /* Vertical centering */
  justify-content: center; /* Horizontal centering */
  height: clamp(40px, 5vw, 60px);
  width: auto;
  padding: 0 40px;
  margin-top: clamp(10px, 2vw, 20px);
  border: none;
  background-color: #bd2b46;
  color: #f8e5b3;
  cursor: pointer;
  letter-spacing: 2px;
  font-weight: bold;
  font-family: 'Folks';
}


@media (max-width: 1200px) {
  .book-intro {
    flex-direction: column;
    text-align: center; 
    font-size: clamp(20px, 2vw, 50px); 
  }
  
  .author-image img {
    max-width: 400px;     
  }
}

@media (min-width: 768px) {
    .nav-links li {
        margin-bottom: 0;
        margin-left: 20px;
    }

    .nav-links a {
        padding: 0;
        font-size: 1rem;
        background-color: #6a0628;
        border: none;
    }
}

@media (min-width: 768px) {
    .hamburger {
        display: none !important;
    }

    .main-nav {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-grow: 1;
    }

        .nav-links li {
        margin-bottom: 0;
        margin-left: 20px;
    }

    .nav-links a {
        padding: 0px 15px;
        font-size: 1.3rem;
        background-color: #6a0628;
        border: none;
    }

    .nav-links {
        position: static;
        height: clamp(20px, 4vw, 50px);
        width: 100vw;
        margin-top: clamp(10px, 3vw, 30px);
        max-width: none;
        padding: 0;
        transform: translateX(0);
        box-shadow: none;
        flex-direction: row;
        background-color: #6a0628;
        z-index: auto;
        display: flex;
        align-items: center;
    }



}



@media (max-width: 550px)
{
  .text-block img {
    width: 300px;
    height: auto;
  }

  .hamburger {
    margin-top: -20px;
  }




  .review-section img {
    width: 150px;
    height: auto;
  }

}



